Problème installation Cyanogenmod 12 (et problème de son)

  • Auteur de la discussion DFB
  • Date de début
D

DFB

Membre
Inscrit
3 Mai 2015
Messages
9
Points
0
  • #1
Bonjour à tous!

il y a un an j'ai récupéré un Galaxy Note 4 en parfait état de fonctionnement. Quelques mois après, le son a commencé à faire des siennes (Haut parleur qui se met à cracher très fort, c'est vraiment impressionnant, sans raison. Et tout son ensuite coupé.) Je me retrouve donc avec un téléphone d'où aucun son ne sort, avec une exception, la musique sur une enceinte bluetooth. Je précise la musique car les appels ne fonctionnent toujours pas avec cette méthode.
Après ce problème, qui s'accompagnait d'un beau boot loop, je vous ai sollicité afin de réinstaller le firmware.
(Le post est ici: boot-loop-persistant-meme-apres-wipe-t121120.html)
Or voila, le son s'est remis à marcher durant quelques semaines, puis j'assistait à un retour du problème, qui se réglait par un redémarrage. Au départ une fois pour deux semaines, et puis de plus en plus. Aujourd'hui plus de son hormis l'enceinte qui crache, peu importe le nombre de redémarrage.

Je ne sais donc pas quoi penser, entre problème hardware (le problème a continué après la réinstallation totale à l'époque du post cité), et problème de soft, étant donné que le problème s’étend même aux écouteurs ou aux appels en bluetooth.

J'ai donc décidé de tenter d'installer cyanogenmod12, parce qu'on ne sait jamais.

-Alors j'ai rooté via cfroot (Kingroot et towelroot n'ayant pas fonctionné).
-J'ai installé CWMR 6.0.5.1 pour S910f (mon modèle de note 4) via Odin v3.10.6
-J'ai lancé l'installation du fichier zip de la version de cyanogen trouvée sur leur site: cm-12.1-20160116-NIGHTLY-trltexx
-Le problème est que les lignes qui apparaissent me disent que le package est pour trltexx, trltedt, et que mon device est trlte.
-Après recherche sur google, je trouve peu de chose si ce n'est que trlte et trltexx ne font plus qu'un aujourd'hui et que le problème doit venir de mon CWMR.
-J'essaie alors d'installer TWRP 2.8.7.0-trltexx (seul que j'ai trouvé) via Odin: Le telephone redemarre mais rien ne se passe.
=> Je passe par Flashify avec un .img, et la bingo, TWRP installé.
-Je retente alors l'install de CM12 mais le problème est encore la: No MD5 file found. This package is for device trltexx.......

Donc voila, mon problème principal est ce son infernal et non fonctionnel, mais si vous avez une autre réponse ou une version de CM12 trlte, je suis preneur ;)

(Peut être que la version trlte est très simple à trouver et que je suis une bille; si c'est ça, je m'en excuse ^^)

Merci à tous!

TL;DR: Mon Note 4 n'a plus de son, et l'enceinte crache, a part sur enceinte bluetooth, et uniquement pour la musique. J'ai essayé d'installer cyanogenmod12 mais sans succés: Il me faut une version trlte.
 
kyo-ito

kyo-ito

Moderateur Global
Inscrit
5 Mai 2012
Messages
11 932
Points
36
  • #2
Bonjour,

Essaies ?

  1. Décompresses le fichier .zip de ta CM12
  2. Ouvres le fichier / META-INF / com / Google / Android / Updater-script
    Dans la première ligne remplaces
    getProp ("ro.product.device") == "trltexx" par getProp ("ro.product.device") ==" trlte"
  3. Recrées l'archive .zip
  4. Colles le dans ton Note et re flashes ?
 
D

DFB

Membre
Inscrit
3 Mai 2015
Messages
9
Points
0
  • #3
Merci pour l'astuce, j'essaie en fin d'après midi ;)
 
D

DFB

Membre
Inscrit
3 Mai 2015
Messages
9
Points
0
  • #4
Bon, ça faisait un moment que le transfert USB n'était pas génial. J'arrive à le copier sous windows, mais il n'apparait ni dans l'explorateur android, ni sous TWRP. Je l'ai donc mis sur 1fichier.com pour le retélecharger mais le téléchargement n'aboutit pas.. En train d'uploader sur Mega.

Sinon, le fait de "forcer" l'installation de CM en faisant comme si j'avais un trltexx, ça ne risque pas de créer des problèmes ultérieurement?
 
D

DFB

Membre
Inscrit
3 Mai 2015
Messages
9
Points
0
  • #5
Okay, j'ai bien changé la ligne (qui se trouvait dans META-INF/com/google/android/updater-script.

Même problème, même message d'erreur qui me dit que le fichier est pour les versions trltexx..
 
Haut Bas